PATCH
/boards/{boardId}Update a board
Update an existing board
Parameters
| Name | In | Type | Description |
|---|---|---|---|
boardIdrequired | path | string | Board ID |
Request body
| Field | Type | Description |
|---|---|---|
name | string | |
slug | string | |
description | string | null | |
isPublic | boolean |
Response
Board updated
| Field | Type | Description |
|---|---|---|
idrequired | string | TypeID - a type-prefixed UUID |
namerequired | string | |
slugrequired | string | URL-friendly identifier |
descriptionrequired | string | null | |
isPublicrequired | boolean | |
settingsrequired | object | Board-specific settings |
createdAtrequired | string | ISO 8601 timestamp |
updatedAtrequired | string | ISO 8601 timestamp |
Errors
400Validation error401Unauthorized404Board not foundExample request
curl \
-X PATCH \
"https://feedback.quackback.io/api/v1/boards/:boardId" \
-H "Authorization: Bearer qb_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"name": "example_name",
"slug": "example_slug",
"isPublic": false
}'